Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../_virtual/_rolldown/runtime.cjs");
const require_safe_custom_element = require("../../shared/safe-custom-element.cjs");
const require_index = require("../../shared/tailwind-element/index.cjs");
const require_decorate = require("../../_virtual/_@oxc-project_runtime@0.127.0/helpers/decorate.cjs");
const require_style = require("./style.css?inline.cjs");
let lit = require("lit");
let lit_decorators_js = require("lit/decorators.js");
//#region src/components/lukso-form-label/index.ts
var LuksoFormLabel = class LuksoFormLabel extends require_index.TailwindStyledElement(require_style.default) {
	render() {
		return this.label ? lit.html`
          <label
            for=${this.forName ? this.forName : lit.nothing}
            class="heading-inter-14-bold text-neutral-20 pb-2 block"
            >${this.label}</label
          >
        ` : lit.nothing;
	}
};
require_decorate.__decorate([(0, lit_decorators_js.property)({
	type: String,
	reflect: true
})], LuksoFormLabel.prototype, "label", void 0);
require_decorate.__decorate([(0, lit_decorators_js.property)({
	type: String,
	attribute: "for-name",
	reflect: true
})], LuksoFormLabel.prototype, "forName", void 0);
LuksoFormLabel = require_decorate.__decorate([require_safe_custom_element.safeCustomElement("lukso-form-label")], LuksoFormLabel);
//#endregion
Object.defineProperty(exports, "LuksoFormLabel", {
	enumerable: true,
	get: function() {
		return LuksoFormLabel;
	}
});
